Material Requests
List Material Requests
List material requests with pagination.
GET
/
material-requests
List Material Requests
curl --request GET \
--url https://vinmake-erp.onrender.com/material-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/material-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/material-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"documentId": "<string>",
"status": "<string>",
"urgency": "<string>",
"productionOrderId": "<string>",
"productionOrderDocumentId": "<string>",
"salesOrderId": "<string>",
"salesOrderDocumentId": "<string>",
"purchaseOrderId": "<string>",
"purchaseOrderDocumentId": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"submittedAt": "<string>",
"approvedAt": "<string>",
"rejectedAt": "<string>",
"submittedById": "<string>",
"submittedByName": "<string>",
"approvedById": "<string>",
"approvedByName": "<string>",
"rejectedById": "<string>",
"rejectedByName": "<string>",
"rejectionReason": "<string>",
"bomId": "<string>",
"bomDocumentId": "<string>",
"wastagePercent": 123,
"autoGenerated": true,
"lineItemsCount": 123,
"totalEstimatedAmount": 123,
"production_order": {},
"purchase_order": {},
"lineItems": [
{
"id": "<string>",
"materialRequestId": "<string>",
"requiredQty": 123,
"warehouseAvailableQty": 123,
"qtyToPurchase": 123,
"itemNumber": 123,
"materialId": "<string>",
"materialName": "<string>",
"supplierId": "<string>",
"supplierName": "<string>",
"uom": "<string>",
"unitPrice": 123,
"estimatedAmount": 123,
"linkedPoLineId": "<string>",
"status": "<string>",
"notes": "<string>"
}
],
"approvalHistory": [
{
"id": "<string>",
"materialRequestId": "<string>",
"action": "<string>",
"status": "<string>",
"performedById": "<string>",
"performedByName": "<string>",
"performedAt": "<string>",
"reason": "<string>",
"comments": "<string>"
}
],
"linkedPurchaseOrders": [
{
"id": "<string>",
"documentId": "<string>",
"supplierName": "<string>",
"status": "<string>",
"total": 123,
"createdAt": "<string>",
"linkedMrId": "<string>"
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Filter by production order ID
⌘I
List Material Requests
